<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title th:text="${beasiswa.namaBeasiswa}"></title>
</head>
<body>
<th:block layout:fragment="script">
    <script th:inline="javascript">
        $(document).ready(function (){
            $('#mySelect2').select2({
                dropdownParent: $('#exampleModal')
            });
        });
    </script>
</th:block>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Beasiswa </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data <span th:text="${beasiswa.namaBeasiswa}"></span></h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/setting/beasiswa/rekap(beasiswa=${beasiswa.id})}" class="btn btn-info btn-sm"><i class="ni ni-book-bookmark"></i> Rekap</a>
                                <button type="button" class="btn btn-sm btn-success" data-toggle="modal" data-target="#exampleModal">
                                    <i class="fas fa-plus-circle"></i> Tambah Mahasiwa
                                </button>
                                <a th:href="@{/setting/beasiswa/list}" class="btn btn-sm btn-default"><i class="fas fa-arrow-left"></i> Kembali</a>
                            </div>

                            <!-- modal beasiswa -->
                            <div class="modal fade" id="exampleModal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <form th:action="@{/setting/beasiswa/mahasiswa}" method="post">
                                            <input type="hidden" name="beasiswa" th:value="${beasiswa.id}">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Pilih Mahasiswa untuk <span th:text="${beasiswa.namaBeasiswa}"></span></h5>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="col-md-12">

                                                    <div class="form-group">
                                                        <label>Mahasiswa</label>
                                                        <select autofocus class="form-control" id="mySelect2"
                                                                style="width: 100%!important;" required name="mahasiswa" multiple="multiple">
                                                            <option th:each="data,row : ${listMahasiswa}"
                                                                    th:text="${(data.nim) + ' - ' + (data.nama) + ' - ' + (data.idProdi.namaProdi)}"
                                                                    th:value="${data.id}"></option>
                                                        </select>
                                                    </div>

                                                    <div class="form-group">
                                                        <p>Tanggal Mulai Berlaku</p>
                                                        <input type="date" name="tanggalMulai" class="form-control" required>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                                                <button type="submit" id="save" class="btn btn-primary">Simpan</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="data-table-1" class="table align-items-center table-flush">
                                <thead class="thead-light">
                                <tr>
                                    <th>No</th>
                                    <th>Nim</th>
                                    <th>Nama</th>
                                    <th>Jenis Kelamin</th>
                                    <th>Prodi</th>
                                    <th>Angkatan</th>
                                    <th>IPK</th>
                                    <th></th>
                                    <th>Status</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data, row:${mahasiswa}">
                                    <td th:text="${(row.index + 1)}"></td>
                                    <td th:text="${data[1]}"></td>
                                    <td th:text="${data[2]}"></td>
                                    <td th:text="${data[7]}"></td>
                                    <td th:text="${data[3]}"></td>
                                    <td th:text="${data[4]}"></td>
                                    <td th:text="${data[5]}"></td>
                                    <td>
                                        <button type="button" class="btn btn-warning btn-sm" th:id="${data[8]}" onclick="detailIp(this.id)">
                                            <i class="fas fa-eye"></i> Detail IP
                                        </button>

                                        <div class="modal fade" th:id="${'modal-ip' + data[8]}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                            <div class="modal-dialog modal-lg modal-dialog-centered modal-" role="document">
                                                <div class="modal-content">

                                                    <div class="modal-header">
                                                        <h6 class="modal-title" id="modal-title-notification">Detail IP Per Semester</h6>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>

                                                    <div class="modal-body">
                                                        <div class="table-responsive">
                                                            <table id="table-ip" class="table align-items-center table-flush">
                                                                <thead class="thead-light">
                                                                <tr>
                                                                    <th class="text-center">Tahun Akademik</th>
                                                                    <th class="text-center">SKS</th>
                                                                    <th class="text-center">IPS</th>
                                                                </tr>
                                                                </thead>
                                                                <tbody>

                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </td>
                                    <td th:if="${data[6] == 'AKTIF'}"><span th:text="${data[6]}" class="btn btn-info btn-sm"></span></td>
                                    <td th:if="${data[6] == 'LULUS'}"><span th:text="${data[6]}" class="btn btn-success btn-sm"></span></td>
                                    <td th:if="${data[6] == 'CUTI'}"><span th:text="${data[6]}" class="btn btn-warning btn-sm"></span></td>
                                    <td th:if="${data[6] == 'KELUAR'}"><span th:text="${data[6]}" class="btn btn-danger btn-sm"></span></td>
                                    <td th:if="${data[6] == 'NONAKTIF'}"><span th:text="${data[6]}" class="btn btn-danger btn-sm"></span></td>
                                    <td th:if="${data[6] == 'MENGUNDURKAN_DIRI'}"><span th:text="${data[6]}" class="btn btn-danger btn-sm"></span></td>
                                    <td>
                                        <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#modal-notification' + data[0]}">
                                            <i class="fas fa-trash"></i>
                                        </button>

                                        <div class="modal fade" th:id="${'modal-notification' + data[0]}" tabindex="-1" role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                            <div class="modal-dialog modal-danger modal-dialog-centered modal-" role="document">
                                                <div class="modal-content bg-gradient-danger">

                                                    <div class="modal-header">
                                                        <h6 class="modal-title" id="modal-title-notification">Your attention is required</h6>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>

                                                    <div class="modal-body">

                                                        <div class="py-3 text-center">
                                                            <i class="far fa-trash-alt fa-3x"></i>
                                                            <h4 class="heading mt-4">Are you sure ?</h4>
                                                            <p>Once deleted, you will not be able to recover this imaginary file!</p>
                                                        </div>

                                                    </div>

                                                    <div class="modal-footer">
                                                        <form method="post" th:action="@{/setting/beasiswa/mahasiswa/delete(mahasiswa = ${data[0]})}">
                                                            <button type="submit" class="btn btn-white">Delete</button>
                                                        </form>
                                                        <button type="button" class="btn btn-link text-white ml-auto" data-dismiss="modal">Close</button>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
<script>
    $(document).ready(function (){
        $('.js-example-placeholder-single').select2();
    });

    function detailIp(id){

        $('#modal-ip'+id).modal('show');

        const url = '/get-ip/'+id;
        $.getJSON(url, function (data){
            $('#table-ip tbody').empty();

            $.each(data, function (key, entry){
                let rowT1 = '<tr>' +
                    '<td class="text-center">' + entry[0] + '</td>' +
                    '<td class="text-center">' + entry[1] + '</td>' +
                    '<td class="text-center">' + entry[2] + '</td>' +
                    '</tr>';
                $('#table-ip tbody').append(rowT1);

                console.log("data request : " + entry);
            });
        });
    }
</script>